# lanspread

## Description

Simple server and GUI for LAN parties.


## Development

### Prerequisites
```bash
# install Tauri CLI
cargo install tauri-cli
```

### Build
#### Frontend
```bash
# Development
cargo tauri dev   # prefix with RUST_LOG=your_module=debug or similary for more verbose output

# Production but for testing and without bundling
cargo tauri build --no-bundle

# Production
cargo tauri build --profile release-lto # also bundles everything into a nice platform-specific installer

# on wayland you probably need to set this env var
WEBKIT_DISABLE_DMABUF_RENDERER=1

# update frontend dependencies
deno outdated --update --latest
```

#### Backend
```bash
# Development
./server.sh [options...]   # prefix with RUST_LOG=your_module=debug or similary for more verbose output

# Production
cargo build --profile release-lto
```
